#include "projet.h"

extern int newalgow_opened;
int newalgow_choice = TERR_MIDDISP;
static int sizes_table[] = {65,129,257};

void
on_cal_window_destroy (GtkObject * object, gpointer user_data)
{
  gtk_widget_destroy (GTK_WIDGET (user_data));
  newalgow_choice = TERR_MIDDISP;
  newalgow_opened = 0;
}


void
on_calw_valid_b_clicked (GtkObject * object, gpointer user_data)
{
  GtkWidget *paramw;
  GtkOptionMenu *sizemenu;
  int choice = newalgow_choice;
  int sizechoice=0;
  int size;
  
  sizemenu = GTK_OPTION_MENU (lookup_widget (GTK_WIDGET (user_data), "calw_option1"));
  sizechoice = gtk_option_menu_get_history (sizemenu);
  size = sizes_table [sizechoice];
  
  terrain->size = size;
  
  gtk_widget_destroy (GTK_WIDGET (user_data));

  switch (choice) {
  case TERR_FLAT:
    break;
  case TERR_MIDDISP:
    paramw = create_middisp_window ();
    gtk_widget_show (paramw);
    break;
  case TERR_SPHERE:
    break;
  case TERR_HYPERB:
    paramw = create_hp_window ();
    gtk_widget_show (paramw);
    break;
  case TERR_DIAM:
    paramw = create_diamsquare_window ();
    gtk_widget_show (paramw);
    break;
  case TERR_FAULT:
    paramw = create_fault_window ();
    gtk_widget_show (paramw);
    break;
  case TERR_PARTICLE:
    paramw = create_particle_window ();
    gtk_widget_show (paramw);
    break;
  default:
    g_error ("Error: unknown algorithm\n");
    break;
  }

}

void
on_calw_diam_rb_released (GtkObject * object, gpointer user_data)
{
  newalgow_choice = TERR_DIAM;
}

void
on_calw_hyp_rb_released (GtkObject * object, gpointer user_data)
{
  newalgow_choice = TERR_HYPERB;
}

void
on_calw_midp_rb_released (GtkObject * object, gpointer user_data)
{
  newalgow_choice = TERR_MIDDISP;
}

void
on_calw_fault_rb_released (GtkObject * object, gpointer user_data)
{
  newalgow_choice = TERR_FAULT;
}

void
on_calw_particle_rb_released (GtkObject * object, gpointer user_data)
{
  newalgow_choice = TERR_PARTICLE;
}
