#include <stdlib.h>
#include <stdio.h>
#include <time.h>

#include "terrain.h"

/* ======================================================
 * random_float
 *
 * Description: renvoie un float entre min et max
 *
 * =====================================================
 */
float
random_float (float min, float max)
{
  int r;
  float x;

  r = rand ();

  /* on normalise entre 0 et 1 */
  x = (float) (r & 0x7fff) / (float) 0x7fff;

  /* changement d'echelle puis translation */
  return (x * (max - min) + min);
}

/* ======================================================
 * random_int
 *
 * Description: renvoie un entier entre 0 et max-1
 *
 * =====================================================
 */
int
random_int (int max)
{
  int r;

  r = rand ();

  return (r % max);
}
