#include "projet.h"

void
create_skybox (TER_terrain_t * terrain)
{
  GLuint textureid;
  vector3d_t v[3];
  triangle3d_t triangle;
  float *coord1, *coord2, *coord3;

  glEnable (GL_TEXTURE_2D);
  glGenTextures (1, &textureid);
  /*bind_bmp_texture (textureid, "texture.bmp"); */

  glBegin (GL_TRIANGLES);

  set_vector (&v[0], 64, 128, -64);
  set_vector (&v[1], -64, 128, -64);
  set_vector (&v[2], -64, 0, -64);
  set_triangle (&triangle, v[0], v[1], v[2]);

  coord1 = triangle.vertices[0].coord;
  coord2 = triangle.vertices[1].coord;
  coord3 = triangle.vertices[2].coord;
  /*glNormal3fv(triangle.normal.coord); */
  glTexCoord2f (1.0, 1.0);
  glVertex3fv (coord1);
  glTexCoord2f (0.0, 1.0);
  glVertex3fv (coord2);
  glTexCoord2f (0.0, 0.0);
  glVertex3fv (coord3);

  set_vector (&v[0], 64, 128, -64);
  set_vector (&v[1], -64, 0, -64);
  set_vector (&v[2], 64, 0, -64);
  set_triangle (&triangle, v[0], v[1], v[2]);

  coord1 = triangle.vertices[0].coord;
  coord2 = triangle.vertices[1].coord;
  coord3 = triangle.vertices[2].coord;
  glNormal3fv (triangle.normal.coord);
  glTexCoord2f (1.0, 1.0);
  glVertex3fv (coord1);
  glTexCoord2f (0.0, 0.0);
  glVertex3fv (coord2);
  glTexCoord2f (1.0, 0.0);
  glVertex3fv (coord3);

  glEnd ();
  glDisable (GL_TEXTURE_2D);

}
